BatchGetAgentSpaces - AWS Security Agent

BatchGetAgentSpaces

Retrieves information about one or more agent spaces.

Request Syntax

POST /BatchGetAgentSpaces HTTP/1.1 Content-type: application/json { "agentSpaceIds": [ "string" ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceIds

The list of agent space identifiers to retrieve.

Type: Array of strings

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "agentSpaces": [ { "agentSpaceId": "string", "awsResources": { "iamRoles": [ "string" ], "lambdaFunctionArns": [ "string" ], "logGroups": [ "string" ], "s3Buckets": [ "string" ], "secretArns": [ "string" ], "vpcs": [ { "securityGroupArns": [ "string" ], "subnetArns": [ "string" ], "vpcArn": "string" } ] }, "codeReviewSettings": { "controlsScanning": boolean, "generalPurposeScanning": boolean }, "createdAt": "string", "description": "string", "kmsKeyId": "string", "name": "string", "targetDomainIds": [ "string" ], "updatedAt": "string" } ], "notFound": [ "string" ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

agentSpaces

The list of agent spaces that were found.

Type: Array of AgentSpace objects

notFound

The list of agent space identifiers that were not found.

Type: Array of strings

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: